<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

   <bean id="connectionRequestAction" class="en.dlink.action.admin.ConnectionRequestAction"  scope="prototype" >
      <property name="userManager" ref="userManager" />
      <property name="paramManager" ref="paramManager" />
   </bean>

    <bean id="adminNetworksAction" class="en.dlink.action.admin.AdminNetworksAction" scope="prototype">
    </bean>

    <bean id="viewServerSecurityAction" class="en.dlink.action.admin.ViewServerSecurityAction" scope="prototype">
      <property name="serverManager" ref="serverManager"/>
      <property name="userManager" ref="userManager" />
      <property name="networkManager" ref="networkManager"/>
    </bean>

    <bean id="addNewNetworkAction" class="en.dlink.action.admin.AddNewNetworkAction" scope="prototype">
        <property name="networkManager" ref="networkManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="removeNetworkAction" class="en.dlink.action.admin.RemoveNetworkAction" scope="prototype">
        <property name="networkManager" ref="networkManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="adminUsersViewAction" class="en.dlink.action.admin.AdminUsersViewAction" scope="prototype">
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="adminUsersAction" class="en.dlink.action.admin.AdminUsersAction" scope="prototype">
    </bean>

    <bean id="RegistrationAction" class="en.dlink.action.admin.Registration" scope="prototype">
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="removeUserAction" class="en.dlink.action.admin.RemoveUserAction" scope="prototype">
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="saveChangesInFileAction" class="en.dlink.action.admin.SaveChangesInFileAction" scope="prototype">
        <property name="paramManager" ref="paramManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="settingsAction" class="en.dlink.action.admin.SettingsAction" scope="prototype">
        <property name="paramManager" ref="paramManager"/>
        <property name="modelManager" ref="modelManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="setDefaultParamsAction" class="en.dlink.action.admin.SetDefaultParamsAction" scope="prototype">
        <property name="modelManager" ref="modelManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="viewModelParamsAction" class="en.dlink.action.admin.ViewModelParamsAction" scope="prototype">
        <property name="paramManager" ref="paramManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="setDefaultAction" class="en.dlink.action.admin.SetDefaultAction" scope="prototype">
        <property name="paramManager" ref="paramManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="checkDbAction" class="en.dlink.action.admin.CheckDbAction" scope="prototype">
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="checkServerStatusAction"  class="en.dlink.action.admin.CheckDbAction"  scope="prototype">
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="getSubMenusAction" class="en.dlink.action.admin.GetSubMenusAction" scope="prototype">
        <property name="modelManager" ref="modelManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="selectParamsForUser" class="en.dlink.action.admin.SelectParamsForUsers" scope="prototype">
        <property name="paramManager" ref="paramManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="viewModelsByTypeAction" class="en.dlink.action.admin.ViewModelsByTypeAction" scope="prototype">
        <property name="modelManager" ref="modelManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="viewUnknovns" class="en.dlink.action.admin.ViewUnknownsAction" scope="prototype">
        <property name="networkManager" ref="networkManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean name="viewModelsByManufacturerAction" class="en.dlink.action.admin.ViewModelsByManufacturerAction"
          scope="prototype">
        <property name="modelManager" ref="modelManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean name="viewAllModelsAction" class="en.dlink.action.admin.ViewAllModels" scope="prototype">
        <property name="modelManager" ref="modelManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean name="startServer" class="en.dlink.action.admin.StartStopServer" scope="prototype">
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="viewFwUpgradeAction" class="en.dlink.action.admin.ViewFWUpgrade" scope="prototype">
        <property name="modelManager" ref="modelManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="fwUpgradeAction" class="en.dlink.action.admin.FwUpgradeAction" scope="prototype">
        <property name="fileManager" ref="fileManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="viewFwUploadFileAction" class="en.dlink.action.admin.ViewFwUploadFile" scope="prototype">
        <property name="modelManager" ref="modelManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean name="uploadFileAction" class="en.dlink.action.admin.UploadFileAction" scope="prototype">
        <property name="fileManager" ref="fileManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean name="getDevicesByModelAction" class="en.dlink.action.admin.GetDevicesByModelAction" scope="prototype">
        <property name="networkManager" ref="networkManager" />
        <property name="fileManager" ref="fileManager" />
        <property name="userManager" ref="userManager" />
    </bean>


    <bean name="viewConfigsAction" class="en.dlink.action.admin.ViewConfigsAction" scope="prototype">
       <property name="fileManager" ref="fileManager"/>
    </bean>

    <bean name="readFileAction" class="en.dlink.action.admin.ReadFileAction"   scope="prototype">

    </bean>

    <bean name="sendUploadAction" class="en.dlink.action.admin.SendUploadAction" scope="prototype">
         <property name="uploadManager" ref="uploadManager"/>
         <property name="userManager" ref="userManager"    />
         <property name="networkManager" ref="networkManager"/>
    </bean>

   <bean name="uploadConfigFilesAction" class="en.dlink.action.admin.UploadConfigFileAction" scope="prototype">
         <property name="userManager" ref="userManager"/>
         <property name="fileManager" ref="fileManager"/>
         <property name="modelManager" ref="modelManager"/>
   </bean>
</beans>